Description

Hello all,

I have a Geoserver with 6 wfs layers. Four of them are open to everyone, while the other two are user specific (i.e., a username / password

is required to view and edit them).

When trying to connect to the wfs server with qgis, it ignores the provided username / password and displays only the 4 publicly available

layers, while, the other two are not shown at all. On the contrary, when removing all 4 publicly available layers, qgis uses the provided

usn/pwd (or prompts the user to fill them) and displays the 2 "hidden" layers.

I believe that this is a bug which is caused due to the presence of at least one publicly available layer.

Elias

Associated revisions

Revision 01b3d966 - 2014-06-23 11:14 AM - Nyall Dawson

[composer] Fix order of vertices returned by mapPolygon when map rotation is set, fix drawing overview frame when either map is rotated (fix #10644)

History

#1 - 2014-06-19 08:53 AM - Elias Frentzos

The same problem also arises with write access to publicly available for reading wfs layers. 

Specifically, when having a wfs layer which is read-enabled for all, while being write-enabled for certain users, qgis completely ignores the provided

credentials when adding the wfs layer. Then, when trying to commit changes back to the server with wfs-t, an error occurs.

#2 - 2014-06-23 02:15 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"01b3d9662c53d78a4c746cf408b45aa21e14cd5b".

#3 - 2014-06-23 02:18 AM - Nyall Dawson

- Status changed from Closed to Reopened

Oops - had the wrong issue number in that commit. This isn't fixed.
#4 - 2017-01-17 06:29 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

This scenario with Geoserver has been tested lately because of other issues, and it works as expected now. Please reopen if necessary.
